Class.create(function(Super)
 /**
  * DateRangeExceptionNX
  * @param Super [Function|null] X[p[NX
  * @return Function js.debug.jsem.DateRangeExceptionNX
  * 
  * @package js.debug.jsem
  * @update 2007/08/17
  * @version 1.00.00
  * @author Mug
  * @copyright (C) 2007 Mug, All rights reserved.
  * 
  * @explanation <p>̃NX͓t͈̓G[il̋e͈͊OjNXłB</p>
  *   <dl>
  *     <dt>o^</dt>
  *     <dd><samp>DateRangeException</samp></dd>
  *     <dt>bZ[WtH[}bg</dt>
  *     <dd><samp>DateRangeException:Variable={variable},Range={range},Value={value}</samp></dd>
  *   </dl>
  * @example <p><var>update</var><var>startDate</var>ȍ~<var>endDate</var>ȑOłȂƂɃG[X[B
  *   <pre><code>
  *   // ϐ"Creator.CompleteName"ɊSCNX`Ă̂ƂB
  *   // ϐ"startDate","endDate"Date^̃IuWFNg̂ƂB
  *   
  *   function setTimestamp(update) {
  *     
  *     if((update.getTime() &lt; startDate.getTime()) || (endDate.getTime() &lt; update.getTime())) {
  *       throw new Error("DateRangeException", Creator.CompleteName, {variable:"update", range:(startDate+"&lt;=update&lt;="+endDate), value:update});
  *     }
  *     
  *     // i㗪j
  *     
  *   }
  *   </code></pre>
  *   ̃\bhɑ΂<br /><kbd>startDate = new Date("2007/01/01 00:00:00");</kbd><br /><kbd>endDate = new Date("2007/12/31 23:59:59");</kbd><br />
  *   łƂA<br /><kbd>setTimestamp(new Date("2006/12/31"));</kbd><br />sꍇAG[bZ[W<br />
  *   <samp>DateRangeException:Variable=update,Range=Mon Jan 1 00:00:00 UTC+0900 2007&lt;=update&lt;=Mon Dec 31 23:59:59 UTC+0900 2007,Value=Sun Dec 31 00:00:00 UTC+0900 2006</samp><br />ƂȂB</p>
  */
  {
  //##############################################################################
  //
  // wb_(vpeBEpENXpX)
  //
  //
  // vpeB - NXɊւ郁^f[^
  //
  //:V Creator Function NXNG[^[
  var Creator = arguments.callee;
  // SCNX
  Creator.CompleteName = "js.debug.jsem.DateRangeException";
  
  //
  // p - vg^CvpƊ{õZbg
  //
  // p
  Creator.inherit(Class, Super);
  //:V Static Object StaticIuWFNg
  var Static = Class.Static;
  //:V Proto Object vg^CvIuWFNg
  var Proto = Class.prototype;
  
  //
  // NXpX
  //
  
  //##############################################################################
  //
  // {fB(vCx[gENXEStaticEvg^CvE)
  //
  //
  // vCx[g - NX̔Joƃ\bh(pȂ)
  //
  
  //
  // NX - NX̌Joƃ\bh(pȂ)
  //
  
  //
  // Static - NX.StatičJoƃ\bh(p)
  //
  //:S MESSAGE_FORMAT String bZ[WtH[}bg
  Static.MESSAGE_FORMAT = "DateRangeException:Variable={variable},Range={range},Value={value}";
  
  //
  // vg^Cv - NX.prototypěJoƃ\bh(p)
  //
  //:P name String G[́io^j
  Proto.name = "DateRangeException";
  
  //
  //  - NX`ɂP񂾂s
  //
  // G[NX̓o^
  js.cpt.Error.registErrorClass(Proto.name, Class);
  
  //##############################################################################
  //
  // RXgN^(vCx[gEthisERXgN^)
  //
  function Class(cause, message)
   /**
    * DateRangeExceptionNX̃RXgN^
    * @param cause [String] G[
    * @param message [String|Array|Error|Object] G[bZ[W܂̓G[IuWFNg
    * @return js.debug.jsem.DateRangeException CX^X
    */
    {
    //
    // X[p[NXKp(p) - X[p[NX̃RXgN^N
    //
    Super.apply(this, arguments);
    //
    // vCx[g - CX^X̔Joƃ\bh(pȂ)
    //
    
    //
    // this - CX^X̌Joƃ\bh(Kpɂp)
    //
    
    //
    // RXgN^ - CX^X̌Joƃ\bh(pȂ)
    //
    
    return this;
    }
  
  return Class;
  }, js.debug.jsem.RangeException);

