Class.create(function(Super)
 /**
  * NumberRangeExceptionNX
  * @param Super [Function|null] X[p[NX
  * @return Function js.debug.jsem.NumberRangeExceptionNX
  * 
  * @package js.debug.jsem
  * @update 2007/08/17
  * @version 1.00.00
  * @author Mug
  * @copyright (C) 2007 Mug, All rights reserved.
  * 
  * @explanation <p>̃NX͐l͈̓G[il̋e͈͊OjNXłB</p>
  *   <dl>
  *     <dt>o^</dt>
  *     <dd><samp>NumberRangeException</samp></dd>
  *     <dt>bZ[WtH[}bg</dt>
  *     <dd><samp>NumberRangeException:Variable={variable},Range={range},Value={value}</samp></dd>
  *   </dl>
  * @example <p><var>length</var>0ȏ̐łȂƂɃG[X[B
  *   <pre><code>
  *   // ϐ"Creator.CompleteName"ɊSCNX`Ă̂ƂB
  *   
  *   function adjustLength(length) {
  *     
  *     if(isNaN(length) || (length &lt; 0) || (length % 1 != 0)) {
  *       throw new Error("NumberRangeException", Creator.CompleteName, {variable:"length", range:"!NaN &amp; 0&lt;=length &amp; Integer", value:length});
  *     }
  *     
  *     // i㗪j
  *     
  *   }
  *   </code></pre>
  *   ̃\bhɑ΂<br /><kbd>adjustLength(-30.4);</kbd><br />sꍇAG[bZ[W<br />
  *   <samp>NumberRangeException:Variable=index,Range=!NaN &amp; 0&lt;=length &amp; Integer,Value=-30.4</samp><br />ƂȂB</p>
  */
  {
  //##############################################################################
  //
  // wb_(vpeBEpENXpX)
  //
  //
  // vpeB - NXɊւ郁^f[^
  //
  //:V Creator Function NXNG[^[
  var Creator = arguments.callee;
  // SCNX
  Creator.CompleteName = "js.debug.jsem.NumberRangeException";
  
  //
  // p - vg^CvpƊ{õZbg
  //
  // p
  Creator.inherit(Class, Super);
  //:V Static Object StaticIuWFNg
  var Static = Class.Static;
  //:V Proto Object vg^CvIuWFNg
  var Proto = Class.prototype;
  
  //
  // NXpX
  //
  
  //##############################################################################
  //
  // {fB(vCx[gENXEStaticEvg^CvE)
  //
  //
  // vCx[g - NX̔Joƃ\bh(pȂ)
  //
  
  //
  // NX - NX̌Joƃ\bh(pȂ)
  //
  
  //
  // Static - NX.StatičJoƃ\bh(p)
  //
  //:S MESSAGE_FORMAT String bZ[WtH[}bg
  Static.MESSAGE_FORMAT = "NumberRangeException:Variable={variable},Range={range},Value={value}";
  
  //
  // vg^Cv - NX.prototypěJoƃ\bh(p)
  //
  //:P name String G[́io^j
  Proto.name = "NumberRangeException";
  
  //
  //  - NX`ɂP񂾂s
  //
  // G[NX̓o^
  js.cpt.Error.registErrorClass(Proto.name, Class);
  
  //##############################################################################
  //
  // RXgN^(vCx[gEthisERXgN^)
  //
  function Class(cause, message)
   /**
    * NumberRangeExceptionNX̃RXgN^
    * @param cause [String] G[
    * @param message [String|Array|Error|Object] G[bZ[W܂̓G[IuWFNg
    * @return js.debug.jsem.NumberRangeException CX^X
    */
    {
    //
    // X[p[NXKp(p) - X[p[NX̃RXgN^N
    //
    Super.apply(this, arguments);
    //
    // vCx[g - CX^X̔Joƃ\bh(pȂ)
    //
    
    //
    // this - CX^X̌Joƃ\bh(Kpɂp)
    //
    
    //
    // RXgN^ - CX^X̌Joƃ\bh(pȂ)
    //
    
    return this;
    }
  
  return Class;
  }, js.debug.jsem.RangeException);

