Class.create(function(Super)
 /**
  * StringRangeExceptionNX
  * @param Super [Function|null] X[p[NX
  * @return Function js.debug.jsem.StringRangeExceptionNX
  * 
  * @package js.debug.jsem
  * @update 2007/08/17
  * @version 1.00.00
  * @author Mug
  * @copyright (C) 2007 Mug, All rights reserved.
  * 
  * @explanation <p>̃NX͕͈̓G[il̋e͈͊OjNXłB</p>
  *   <dl>
  *     <dt>o^</dt>
  *     <dd><samp>StringRangeException</samp></dd>
  *     <dt>bZ[WtH[}bg</dt>
  *     <dd><samp>StringRangeException:Variable={variable},Range={range},Value={value}</samp></dd>
  *   </dl>
  * @example <p><var>color</var>K\<var>^#[0-9A-Fa-f]{6}$</var>𖞂ȂƂɃG[X[B
  *   <pre><code>
  *   // ϐ"Creator.CompleteName"ɊSCNX`Ă̂ƂB
  *   
  *   function setColor(color) {
  *     
  *     var ptnColor = /^#[0-9A-Fa-f]{6}$/;
  *     
  *     if(!ptnColor.test(color)) {
  *       throw new Error("StringRangeException", Creator.CompleteName, {variable:"color", range:("RegExp:"+ptnColor.source), value:color});
  *     }
  *     
  *     // i㗪j
  *     
  *   }
  *   </code></pre>
  *   ̃\bhɑ΂<br /><kbd>setColor("orange");</kbd><br />sꍇAG[bZ[W<br />
  *   <samp>StringRangeException:Variable=color,Range=RegExp:^#[0-9A-Fa-f]{6}$,Value=orange</samp><br />ƂȂB</p>
  */
  {
  //##############################################################################
  //
  // wb_(vpeBEpENXpX)
  //
  //
  // vpeB - NXɊւ郁^f[^
  //
  //:V Creator Function NXNG[^[
  var Creator = arguments.callee;
  // SCNX
  Creator.CompleteName = "js.debug.jsem.StringRangeException";
  
  //
  // p - vg^CvpƊ{õZbg
  //
  // p
  Creator.inherit(Class, Super);
  //:V Static Object StaticIuWFNg
  var Static = Class.Static;
  //:V Proto Object vg^CvIuWFNg
  var Proto = Class.prototype;
  
  //
  // NXpX
  //
  
  //##############################################################################
  //
  // {fB(vCx[gENXEStaticEvg^CvE)
  //
  //
  // vCx[g - NX̔Joƃ\bh(pȂ)
  //
  
  //
  // NX - NX̌Joƃ\bh(pȂ)
  //
  
  //
  // Static - NX.StatičJoƃ\bh(p)
  //
  //:S MESSAGE_FORMAT String bZ[WtH[}bg
  Static.MESSAGE_FORMAT = "StringRangeException:Variable={variable},Range={range},Value={value}";
  
  //
  // vg^Cv - NX.prototypěJoƃ\bh(p)
  //
  //:P name String G[́io^j
  Proto.name = "StringRangeException";
  
  //
  //  - NX`ɂP񂾂s
  //
  // G[NX̓o^
  js.cpt.Error.registErrorClass(Proto.name, Class);
  
  //##############################################################################
  //
  // RXgN^(vCx[gEthisERXgN^)
  //
  function Class(cause, message)
   /**
    * StringRangeExceptionNX̃RXgN^
    * @param cause [String] G[
    * @param message [String|Array|Error|Object] G[bZ[W܂̓G[IuWFNg
    * @return js.debug.jsem.StringRangeException CX^X
    */
    {
    //
    // X[p[NXKp(p) - X[p[NX̃RXgN^N
    //
    Super.apply(this, arguments);
    //
    // vCx[g - CX^X̔Joƃ\bh(pȂ)
    //
    
    //
    // this - CX^X̌Joƃ\bh(Kpɂp)
    //
    
    //
    // RXgN^ - CX^X̌Joƃ\bh(pȂ)
    //
    
    return this;
    }
  
  return Class;
  }, js.debug.jsem.RangeException);

